Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452186 - pidgin crashes when sending xmpp messages
Summary: pidgin crashes when sending xmpp messages
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pidgin
Version: 9
Hardware: i386
OS: Linux
low
high
Target Milestone: ---
Assignee: Warren Togami
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-19 22:47 UTC by George Karabin
Modified: 2008-11-20 22:14 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-11-20 22:14:13 UTC


Attachments (Terms of Use)
debuginfo'd crash trace from core dump (deleted)
2008-06-19 22:47 UTC, George Karabin
no flags Details

Description George Karabin 2008-06-19 22:47:54 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible: 99% of the messages that I send will result in a crash.
Sometimes I'll get a string of 1 or a few that go through, then there will be a
crash.


Steps to Reproduce:
1. Send a message to a buddy using xmpp. I used both google talk and an intranet
xmpp service.
2. Crash occurs. If not, send again till crash.

  
Actual results:

crash

Expected results:

No crash!


Additional info:

I've put selinux into permissive mode, which is about the only thing that I've
changed since yesterday (when pidgin was working alright). I'll restore selinux
to enforcing to see if that has anything to do with it.

Comment 1 George Karabin 2008-06-19 22:47:54 UTC
Created attachment 309888 [details]
debuginfo'd crash trace from core dump

Comment 2 George Karabin 2008-06-19 22:49:57 UTC
Forgot to say that I'm current on all of my updates, and that the pidgin version
is pidgin-2.4.2-1.fc9.i386.

Comment 3 George Karabin 2008-06-19 23:46:24 UTC
State of selinux didn't affect the issue. Not that I thought it should, it was just a variable.



Comment 4 George Karabin 2008-06-24 17:00:59 UTC
The problem isn't limited to xmpp. I experienced the same crash with a buddy
connected via the AIM protocol.


Comment 5 Stu Tomlinson 2008-06-25 19:12:05 UTC
There's absolutely no pidgin or libpurple code in the backtrace as far as I can see.

Could it be crashing when trying to play a sound? if you turn off sounds (Tools
-> Preferences -> Sounds -> Method -> "No sounds"), does it stop crashing?

Comment 6 George Karabin 2008-06-27 13:33:13 UTC
That stopped the crashing. Can you think of anything else I could do to shine
more light on the issue?


Comment 7 Warren Togami 2008-11-20 22:14:13 UTC
Closing... old...


Note You need to log in before you can comment on or make changes to this bug.